Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Tar

public class Tar
extends MatchingTask

Creates a TAR archive.

Author:
  Stefano Mazzocchi stefano@apache.org, Stefan Bodewig

Inner Class Summary
`static class` | `Tar.TarFileSet`

Field Summary
`static java.lang.String` | `FAIL`
`static java.lang.String` | `GNU`
`static java.lang.String` | `OMIT`
`static java.lang.String` | `TRUNCATE`
`static java.lang.String` | `WARN`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Tar()`

Method Summary
`protected boolean` | `archiveIsUpToDate(java.lang.String[] files)`
`Tar.TarFileSet` | `createTarFileSet()`
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBasedir(java.io.File baseDir)` This is the base directory to look in for things to tar.
`void` | `setLongfile(java.lang.String mode)` Set how to handle long files.
`void` | `setTarfile(java.io.File tarFile)` This is the name/location of where to create the tar file.
`protected void` | `tarFile(java.io.File file, TarOutputStream tOut, java.lang.String vPath, Tar.TarFileSet tarFileSet)`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WARN

    public static final java.lang.String WARN

### FAIL

    public static final java.lang.String FAIL

### TRUNCATE

    public static final java.lang.String TRUNCATE

### GNU

    public static final java.lang.String GNU

### OMIT

    public static final java.lang.String OMIT

Constructor Detail

### Tar

    public Tar()

Method Detail

### createTarFileSet

    public Tar.TarFileSet createTarFileSet()

### setTarfile

    public void setTarfile(java.io.File tarFile)

  This is the name/location of where to create the tar file.

### setBasedir

    public void setBasedir(java.io.File baseDir)

  This is the base directory to look in for things to tar.

### setLongfile

    public void setLongfile(java.lang.String mode)

  Set how to handle long files. Allowable values are truncate - paths are truncated to the maximum length fail - patsh greater than the maximim cause a build exception warn - paths greater than the maximum cause a warning and GNU is used gnu - GNU extensions are used for any paths greater than the maximum. omit - paths greater than the maximum are omitted from the archive

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### tarFile

    protected void tarFile(java.io.File file,
                           TarOutputStream tOut,
                           java.lang.String vPath,
                           Tar.TarFileSet tarFileSet)
                    throws java.io.IOException

### archiveIsUpToDate

    protected boolean archiveIsUpToDate(java.lang.String[] files)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.